package com.foreverwin.mesnac.anomaly.controller;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-23
 */

import com.foreverwin.mesnac.anomaly.service.ReportService;
import com.foreverwin.mesnac.integration.model.IntegrationLog;
import com.foreverwin.modular.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/REPORT")
public class Report {

    @Autowired
    public ReportService reportService;

    @PostMapping("/findIntegrationLog")
    public R findIntegrationLog(@RequestBody IntegrationLog integration){
        try{
            return R.ok(reportService.findIntegrationLog(integration));
        }catch(Exception e){
            return R.failed(e.getMessage());
        }
    }

    @PostMapping("/partsManufacturing")
    public R partsManufacturing(@RequestBody PartsManufacturing PartsManufacturing){
        try{
            return R.ok(reportService.partsManufacturing(PartsManufacturing));
        }catch(Exception e){
            return R.failed(e.getMessage());
        }
    }
}
